import request from '@/router/axios';



export const getList = () => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/all/list',
        method: 'get',
    })
}

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}

export const remove = (ids) => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-test/equipment/inspection/plan/detail',
        method: 'get',
        params: {
            id
        }
    })
}

export const getRealData = () => {


    return request({
        url: '/api/galaxy-test/real/data/home/info',
        method: 'get',

    })
}

